unit Childwin;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, HEComp;

type
  TMDIChild = class(TForm)
    HighEdit1: THighEdit;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses
  Dialogs;

{$R *.DFM}


procedure TMDIChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TMDIChild.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  if HighEdit1.Modified
  then begin
    case MessageDlg('Text has been modified. Save it?', mtConfirmation, mbYesNoCancel, 0) of
      mrNo : CanClose := true;
      mrCancel: CanClose := false;
      mrYes: begin
               HighEdit1.FileSave;
               CanClose := true;
             end;
    end;
  end;
end;

end.
